package com.google.android.exoplayer2.i;

import com.tencent.matrix.trace.core.AppMethodBeat;
import java.util.ArrayList;
import java.util.Comparator;

public final class p {
    public static final Comparator<a> brA = new 2();
    public static final Comparator<a> brz = new 1();
    public final int brB = 2000;
    public final ArrayList<a> brC = new ArrayList();
    public final a[] brD = new a[5];
    public int brE = -1;
    public int brF;
    public int brG;
    public int brH;

    static {
        AppMethodBeat.i(95933);
        AppMethodBeat.o(95933);
    }

    public p() {
        AppMethodBeat.i(95932);
        AppMethodBeat.o(95932);
    }
}
